<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CCrazyfliePerspectiveCameraLEDCheckOperation Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html">CCrazyfliePerspectiveCameraLEDCheckOperation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CCrazyfliePerspectiveCameraLEDCheckOperation Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for argos::CCrazyfliePerspectiveCameraLEDCheckOperation:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation__inherit__graph.png" border="0" usemap="#aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation_inherit__map" id="aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation_inherit__map">
<area shape="rect" title=" " alt="" coords="10,95,203,136"/>
<area shape="rect" title=" " alt="" coords="5,5,208,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CCrazyfliePerspectiveCameraLEDCheckOperation:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation__coll__graph.png" border="0" usemap="#aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation_coll__map" id="aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation_coll__map">
<area shape="rect" title=" " alt="" coords="10,95,203,136"/>
<area shape="rect" title=" " alt="" coords="5,5,208,47"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af5ba81b180074178e2a44752b3a57392"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html#af5ba81b180074178e2a44752b3a57392">CCrazyfliePerspectiveCameraLEDCheckOperation</a> (CCI_ColoredBlobPerspectiveCameraSensor::TBlobList &amp;t_blobs, <a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a> &amp;c_cam_entity, CEmbodiedEntity &amp;c_embodied_entity, CControllableEntity &amp;c_controllable_entity, bool b_show_rays, Real f_noise_std_dev)</td></tr>
<tr class="separator:af5ba81b180074178e2a44752b3a57392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cddcf355226cf3f0b8d3525cee674e1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html#a1cddcf355226cf3f0b8d3525cee674e1">~CCrazyfliePerspectiveCameraLEDCheckOperation</a> ()</td></tr>
<tr class="separator:a1cddcf355226cf3f0b8d3525cee674e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14408ff78fe1f829b18f2921dfb9de15"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html#a14408ff78fe1f829b18f2921dfb9de15">operator()</a> (CLEDEntity &amp;c_led)</td></tr>
<tr class="separator:a14408ff78fe1f829b18f2921dfb9de15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a113137159019ab236fead4407b37af7b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html#a113137159019ab236fead4407b37af7b">Setup</a> ()</td></tr>
<tr class="separator:a113137159019ab236fead4407b37af7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af5ba81b180074178e2a44752b3a57392"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5ba81b180074178e2a44752b3a57392">&#9670;&nbsp;</a></span>CCrazyfliePerspectiveCameraLEDCheckOperation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyfliePerspectiveCameraLEDCheckOperation::CCrazyfliePerspectiveCameraLEDCheckOperation </td>
          <td>(</td>
          <td class="paramtype">CCI_ColoredBlobPerspectiveCameraSensor::TBlobList &amp;&#160;</td>
          <td class="paramname"><em>t_blobs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieCameraEquippedEntity.html">CCrazyflieCameraEquippedEntity</a> &amp;&#160;</td>
          <td class="paramname"><em>c_cam_entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CEmbodiedEntity &amp;&#160;</td>
          <td class="paramname"><em>c_embodied_entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CControllableEntity &amp;&#160;</td>
          <td class="paramname"><em>c_controllable_entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>b_show_rays</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_noise_std_dev</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1cddcf355226cf3f0b8d3525cee674e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cddcf355226cf3f0b8d3525cee674e1">&#9670;&nbsp;</a></span>~CCrazyfliePerspectiveCameraLEDCheckOperation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual argos::CCrazyfliePerspectiveCameraLEDCheckOperation::~CCrazyfliePerspectiveCameraLEDCheckOperation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a14408ff78fe1f829b18f2921dfb9de15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14408ff78fe1f829b18f2921dfb9de15">&#9670;&nbsp;</a></span>operator()()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool argos::CCrazyfliePerspectiveCameraLEDCheckOperation::operator() </td>
          <td>(</td>
          <td class="paramtype">CLEDEntity &amp;&#160;</td>
          <td class="paramname"><em>c_led</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a113137159019ab236fead4407b37af7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a113137159019ab236fead4407b37af7b">&#9670;&nbsp;</a></span>Setup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyfliePerspectiveCameraLEDCheckOperation::Setup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__colored__blob__perspective__camera__default__sensor_8cpp.html">crazyflie_colored_blob_perspective_camera_default_sensor.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
